Makefile.in.in 16 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444
  1. # Makefile for PO directory in any package using GNU gettext.
  2. # Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
  3. #
  4. # This file can be copied and used freely without restrictions. It can
  5. # be used in projects which are not available under the GNU General Public
  6. # License but which still want to provide support for the GNU gettext
  7. # functionality.
  8. # Please note that the actual code of GNU gettext is covered by the GNU
  9. # General Public License and is *not* in the public domain.
  10. #
  11. # Origin: gettext-0.18
  12. GETTEXT_MACRO_VERSION = 0.18
  13. PACKAGE = @PACKAGE@
  14. VERSION = @VERSION@
  15. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  16. SHELL = /bin/sh
  17. @SET_MAKE@
  18. srcdir = @srcdir@
  19. top_srcdir = @top_srcdir@
  20. VPATH = @srcdir@
  21. prefix = @prefix@
  22. exec_prefix = @exec_prefix@
  23. datarootdir = @datarootdir@
  24. datadir = @datadir@
  25. localedir = @localedir@
  26. gettextsrcdir = $(datadir)/gettext/po
  27. INSTALL = @INSTALL@
  28. INSTALL_DATA = @INSTALL_DATA@
  29. # We use $(mkdir_p).
  30. # In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
  31. # "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
  32. # @install_sh@ does not start with $(SHELL), so we add it.
  33. # In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
  34. # either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
  35. # versions, $(mkinstalldirs) and $(install_sh) are unused.
  36. mkinstalldirs = $(SHELL) @install_sh@ -d
  37. install_sh = $(SHELL) @install_sh@
  38. MKDIR_P = @MKDIR_P@
  39. mkdir_p = @mkdir_p@
  40. GMSGFMT_ = @GMSGFMT@
  41. GMSGFMT_no = @GMSGFMT@
  42. GMSGFMT_yes = @GMSGFMT_015@
  43. GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
  44. MSGFMT_ = @MSGFMT@
  45. MSGFMT_no = @MSGFMT@
  46. MSGFMT_yes = @MSGFMT_015@
  47. MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
  48. XGETTEXT_ = @XGETTEXT@
  49. XGETTEXT_no = @XGETTEXT@
  50. XGETTEXT_yes = @XGETTEXT_015@
  51. XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
  52. MSGMERGE = msgmerge
  53. MSGMERGE_UPDATE = @MSGMERGE@ --update
  54. MSGINIT = msginit
  55. MSGCONV = msgconv
  56. MSGFILTER = msgfilter
  57. POFILES = @POFILES@
  58. GMOFILES = @GMOFILES@
  59. UPDATEPOFILES = @UPDATEPOFILES@
  60. DUMMYPOFILES = @DUMMYPOFILES@
  61. DISTFILES.common = Makefile.in.in remove-potcdate.sin \
  62. $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
  63. DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
  64. $(POFILES) $(GMOFILES) \
  65. $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
  66. POTFILES = \
  67. CATALOGS = @CATALOGS@
  68. # Makevars gets inserted here. (Don't remove this line!)
  69. .SUFFIXES:
  70. .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
  71. .po.mo:
  72. @echo "$(MSGFMT) -c -o $@ $<"; \
  73. $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
  74. .po.gmo:
  75. @lang=`echo $* | sed -e 's,.*/,,'`; \
  76. test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  77. echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
  78. cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
  79. .sin.sed:
  80. sed -e '/^#/d' $< > t-$@
  81. mv t-$@ $@
  82. all: check-macro-version all-@USE_NLS@
  83. all-yes: stamp-po
  84. all-no:
  85. # Ensure that the gettext macros and this Makefile.in.in are in sync.
  86. check-macro-version:
  87. @test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
  88. || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
  89. exit 1; \
  90. }
  91. # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
  92. # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
  93. # we don't want to bother translators with empty POT files). We assume that
  94. # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
  95. # In this case, stamp-po is a nop (i.e. a phony target).
  96. # stamp-po is a timestamp denoting the last time at which the CATALOGS have
  97. # been loosely updated. Its purpose is that when a developer or translator
  98. # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
  99. # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
  100. # invocations of "make" will do nothing. This timestamp would not be necessary
  101. # if updating the $(CATALOGS) would always touch them; however, the rule for
  102. # $(POFILES) has been designed to not touch files that don't need to be
  103. # changed.
  104. stamp-po: $(srcdir)/$(DOMAIN).pot
  105. test ! -f $(srcdir)/$(DOMAIN).pot || \
  106. test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
  107. @test ! -f $(srcdir)/$(DOMAIN).pot || { \
  108. echo "touch stamp-po" && \
  109. echo timestamp > stamp-poT && \
  110. mv stamp-poT stamp-po; \
  111. }
  112. # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
  113. # otherwise packages like GCC can not be built if only parts of the source
  114. # have been downloaded.
  115. # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
  116. # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
  117. $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
  118. if LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
  119. package_gnu='GNU '; \
  120. else \
  121. package_gnu=''; \
  122. fi; \
  123. if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
  124. msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
  125. else \
  126. msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
  127. fi; \
  128. case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  129. '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
  130. $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
  131. --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
  132. --files-from=$(srcdir)/POTFILES.in \
  133. --copyright-holder='$(COPYRIGHT_HOLDER)' \
  134. --msgid-bugs-address="$$msgid_bugs_address" \
  135. ;; \
  136. *) \
  137. $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
  138. --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
  139. --files-from=$(srcdir)/POTFILES.in \
  140. --copyright-holder='$(COPYRIGHT_HOLDER)' \
  141. --package-name="$${package_gnu}@PACKAGE@" \
  142. --package-version='@VERSION@' \
  143. --msgid-bugs-address="$$msgid_bugs_address" \
  144. ;; \
  145. esac
  146. test ! -f $(DOMAIN).po || { \
  147. if test -f $(srcdir)/$(DOMAIN).pot; then \
  148. sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
  149. sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
  150. if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
  151. rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
  152. else \
  153. rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
  154. mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
  155. fi; \
  156. else \
  157. mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
  158. fi; \
  159. }
  160. # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
  161. # every "make" invocation, only create it when it is missing.
  162. # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
  163. $(srcdir)/$(DOMAIN).pot:
  164. $(MAKE) $(DOMAIN).pot-update
  165. # This target rebuilds a PO file if $(DOMAIN).pot has changed.
  166. # Note that a PO file is not touched if it doesn't need to be changed.
  167. $(POFILES): $(srcdir)/$(DOMAIN).pot
  168. @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
  169. if test -f "$(srcdir)/$${lang}.po"; then \
  170. test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  171. echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
  172. cd $(srcdir) \
  173. && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  174. '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
  175. $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
  176. *) \
  177. $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
  178. esac; \
  179. }; \
  180. else \
  181. $(MAKE) $${lang}.po-create; \
  182. fi
  183. install: install-exec install-data
  184. install-exec:
  185. install-data: install-data-@USE_NLS@
  186. if test "$(PACKAGE)" = "gettext-tools"; then \
  187. $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
  188. for file in $(DISTFILES.common) Makevars.template; do \
  189. $(INSTALL_DATA) $(srcdir)/$$file \
  190. $(DESTDIR)$(gettextsrcdir)/$$file; \
  191. done; \
  192. for file in Makevars; do \
  193. rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
  194. done; \
  195. else \
  196. : ; \
  197. fi
  198. install-data-no: all
  199. install-data-yes: all
  200. @catalogs='$(CATALOGS)'; \
  201. for cat in $$catalogs; do \
  202. cat=`basename $$cat`; \
  203. lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  204. dir=$(localedir)/$$lang/LC_MESSAGES; \
  205. $(mkdir_p) $(DESTDIR)$$dir; \
  206. if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
  207. $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
  208. echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
  209. for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
  210. if test -n "$$lc"; then \
  211. if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
  212. link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
  213. mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  214. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  215. (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
  216. for file in *; do \
  217. if test -f $$file; then \
  218. ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
  219. fi; \
  220. done); \
  221. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  222. else \
  223. if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
  224. :; \
  225. else \
  226. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
  227. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  228. fi; \
  229. fi; \
  230. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  231. ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
  232. ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
  233. cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  234. echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
  235. fi; \
  236. done; \
  237. done
  238. install-strip: install
  239. installdirs: installdirs-exec installdirs-data
  240. installdirs-exec:
  241. installdirs-data: installdirs-data-@USE_NLS@
  242. if test "$(PACKAGE)" = "gettext-tools"; then \
  243. $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
  244. else \
  245. : ; \
  246. fi
  247. installdirs-data-no:
  248. installdirs-data-yes:
  249. @catalogs='$(CATALOGS)'; \
  250. for cat in $$catalogs; do \
  251. cat=`basename $$cat`; \
  252. lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  253. dir=$(localedir)/$$lang/LC_MESSAGES; \
  254. $(mkdir_p) $(DESTDIR)$$dir; \
  255. for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
  256. if test -n "$$lc"; then \
  257. if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
  258. link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
  259. mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  260. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  261. (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
  262. for file in *; do \
  263. if test -f $$file; then \
  264. ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
  265. fi; \
  266. done); \
  267. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  268. else \
  269. if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
  270. :; \
  271. else \
  272. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
  273. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  274. fi; \
  275. fi; \
  276. fi; \
  277. done; \
  278. done
  279. # Define this as empty until I found a useful application.
  280. installcheck:
  281. uninstall: uninstall-exec uninstall-data
  282. uninstall-exec:
  283. uninstall-data: uninstall-data-@USE_NLS@
  284. if test "$(PACKAGE)" = "gettext-tools"; then \
  285. for file in $(DISTFILES.common) Makevars.template; do \
  286. rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
  287. done; \
  288. else \
  289. : ; \
  290. fi
  291. uninstall-data-no:
  292. uninstall-data-yes:
  293. catalogs='$(CATALOGS)'; \
  294. for cat in $$catalogs; do \
  295. cat=`basename $$cat`; \
  296. lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  297. for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
  298. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  299. done; \
  300. done
  301. check: all
  302. info dvi ps pdf html tags TAGS ctags CTAGS ID:
  303. mostlyclean:
  304. rm -f remove-potcdate.sed
  305. rm -f stamp-poT
  306. rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
  307. rm -fr *.o
  308. clean: mostlyclean
  309. distclean: clean
  310. rm -f Makefile Makefile.in POTFILES *.mo
  311. maintainer-clean: distclean
  312. @echo "This command is intended for maintainers to use;"
  313. @echo "it deletes files that may require special tools to rebuild."
  314. rm -f stamp-po $(GMOFILES)
  315. distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
  316. dist distdir:
  317. $(MAKE) update-po
  318. @$(MAKE) dist2
  319. # This is a separate target because 'update-po' must be executed before.
  320. dist2: stamp-po $(DISTFILES)
  321. dists="$(DISTFILES)"; \
  322. if test "$(PACKAGE)" = "gettext-tools"; then \
  323. dists="$$dists Makevars.template"; \
  324. fi; \
  325. if test -f $(srcdir)/$(DOMAIN).pot; then \
  326. dists="$$dists $(DOMAIN).pot stamp-po"; \
  327. fi; \
  328. if test -f $(srcdir)/ChangeLog; then \
  329. dists="$$dists ChangeLog"; \
  330. fi; \
  331. for i in 0 1 2 3 4 5 6 7 8 9; do \
  332. if test -f $(srcdir)/ChangeLog.$$i; then \
  333. dists="$$dists ChangeLog.$$i"; \
  334. fi; \
  335. done; \
  336. if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
  337. for file in $$dists; do \
  338. if test -f $$file; then \
  339. cp -p $$file $(distdir) || exit 1; \
  340. else \
  341. cp -p $(srcdir)/$$file $(distdir) || exit 1; \
  342. fi; \
  343. done
  344. update-po: Makefile
  345. $(MAKE) $(DOMAIN).pot-update
  346. test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
  347. $(MAKE) update-gmo
  348. # General rule for creating PO files.
  349. .nop.po-create:
  350. @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
  351. echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
  352. exit 1
  353. # General rule for updating PO files.
  354. .nop.po-update:
  355. @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
  356. if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
  357. tmpdir=`pwd`; \
  358. echo "$$lang:"; \
  359. test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  360. echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
  361. cd $(srcdir); \
  362. if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  363. '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
  364. $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
  365. *) \
  366. $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
  367. esac; \
  368. }; then \
  369. if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
  370. rm -f $$tmpdir/$$lang.new.po; \
  371. else \
  372. if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
  373. :; \
  374. else \
  375. echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
  376. exit 1; \
  377. fi; \
  378. fi; \
  379. else \
  380. echo "msgmerge for $$lang.po failed!" 1>&2; \
  381. rm -f $$tmpdir/$$lang.new.po; \
  382. fi
  383. $(DUMMYPOFILES):
  384. update-gmo: Makefile $(GMOFILES)
  385. @:
  386. # Recreate Makefile by invoking config.status. Explicitly invoke the shell,
  387. # because execution permission bits may not work on the current file system.
  388. # Use @SHELL@, which is the shell determined by autoconf for the use by its
  389. # scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
  390. Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
  391. cd $(top_builddir) \
  392. && @SHELL@ ./config.status $(subdir)/$@.in po-directories
  393. force:
  394. # Tell versions [3.59,3.63) of GNU make not to export all variables.
  395. # Otherwise a system limit (for SysV at least) may be exceeded.
  396. .NOEXPORT: